zlacp2.f(3)

NAME
zlacp2.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLACP2 (UPLO, M, N, A, LDA, B, LDB)
ZLACP2

Function/Subroutine Documentation

  subroutine ZLACP2 (CHARACTERUPLO, INTEGERM, INTEGERN, DOUBLE PRECISION, dimension( lda, * )A, INTEGERLDA, COMPLEX*16, dimension( ldb, * )B, INTEGERLDB)

ZLACP2

Purpose:

     ZLACP2 copies all or part of a real two-dimensional matrix A to a
     complex matrix B.

Parameters:
    UPLO

              UPLO is CHARACTER*1
              Specifies the part of the matrix A to be copied to B.
              = 'U':      Upper triangular part
              = 'L':      Lower triangular part
              Otherwise:  All of the matrix A

    M

              M is INTEGER
              The number of rows of the matrix A.  M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.

    A

              A is DOUBLE PRECISION array, dimension (LDA,N)
              The m by n matrix A.  If UPLO = 'U', only the upper trapezium
              is accessed; if UPLO = 'L', only the lower trapezium is
              accessed.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    B

              B is COMPLEX*16 array, dimension (LDB,N)
              On exit, B = A in the locations specified by UPLO.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,M).

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 105 of file zlacp2.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.